MemberOf (CMDB Model API)
Keywords: com.collation.platform.model.topology.relation.MemberOf interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.relation
Interface MemberOf

All Superinterfaces:
  ModelObject, Relationship, java.io.Serializable

    public interface MemberOf

extends Relationship

This is a generic relationship where an entity is a member of a group. If there is another relationship type that more accurately reflects the type of group or nature of the membership (such as an administrative domain), then the more specific relationship should be used. In this relationship, the source is the single entity involved in the membership, and the target is the group of which it is a member. The memberOf relationship represents membership in a group, where the membership does not dictate deletion of the member element when the group is deleted. Any number of elements (including zero) may be members of the group, and an element may or may not be a member of any number of separate groups.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.core.Relationship
`getGenerated, getSource, getTarget, getType, hasGenerated, hasSource, hasTarget, hasType, setGenerated, setSource, setTarget, setType`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD